For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
      • GETList all Reports
      • POSTCreate a Report
      • GETRetrieve a Report
      • DELRedact a Report
      • POSTAdd tag to a Report
      • POSTReport Action: Dismiss Matches
      • GETList Report history
      • POSTReport Action: Pause Continuous Monitoring
      • GETPrint Report PDF
      • POSTRemove tag from a Report
      • POSTReport Action: Resume Continuous Monitoring
      • POSTReport Action: Re-run Report
      • POSTSet tags on a Report
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceReports

Create a Report

POST
https://api.withpersona.com/api/v1/reports
POST
/api/v1/reports
$curl -X POST https://api.withpersona.com/api/v1/reports \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "type": "report/watchlist",
4 "attributes": {
5 "birthdate": null,
6 "completed-at": "2023-06-07T14:12:16.000Z",
7 "country-code": null,
8 "created-at": "2023-06-07T14:12:16.000Z",
9 "has-match": false,
10 "ignore-list": [],
11 "is-continuous": false,
12 "matched-lists": [],
13 "name-first": "Jane",
14 "name-last": "Doe",
15 "name-middle": null,
16 "redacted-at": null,
17 "report-template-version-name": "v1",
18 "status": "ready",
19 "tags": [],
20 "term": "Jane Doe"
21 },
22 "id": "rep_ARR4XUoYJRgQd7VMVaGEY2Gc",
23 "relationships": {
24 "inquiry": {},
25 "account": {
26 "data": {
27 "id": "act_rD4wFHtwhkgbpy2pc3o2G94a",
28 "type": "account"
29 }
30 },
31 "transaction": {},
32 "report-template": {
33 "data": {
34 "id": "rptp_2t2xwqxPDE1gw8DtYVFB9Vua",
35 "type": "report-template/watchlist"
36 }
37 }
38 }
39 }
40}
Creates a new Report of any type.
Was this page helpful?
Previous

Retrieve a Report

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Request

This endpoint expects an object.
dataobjectOptional
metaobjectOptional

Response

This endpoint returns a Report object and (optionally) its related objects in included.

dataobject
includedlist of objects

Objects that may be returned if specified via the include query parameter in the request.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
408
Request Timeout Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.